Page 32 of 37

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Wed Mar 13, 2019 2:07 am
by worldendDominator
Is it too early to ask for an updated Roguelike Monster Pack patch?

Edit: Actually nevermind, new DRLMP seems to have built-in compatibility.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Wed Mar 13, 2019 6:12 am
by Marrub
Yeah, new version already is compatible, only reason it needed it before is because the new release was very, very far ahead.

Speaking of releases, I haven't really been doing anything recently with this mod because I've been working on tools for modding Marathon. Which makes me seem kind of silent because I only ever really talk about that on Discord, but the issue is there isn't really any living forum for Marathon. Maybe I should make an off-topic post here? Anyway, I'll probably get back to this some time in April, though I am quite happy with where the mod is currently.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sun Mar 17, 2019 11:44 pm
by Gideon020
Just so people know, a Decorate error pops up on the devbuilds, use 3.7, you know the drill.

Here's the error for reference:
Script error, "Lithium_1_6_1.pk3:lzscript/utilities.zsc" line 60:
Can't call play function ExecuteSpecial from data context

Execution could not continue.

1 errors while parsing DECORATE scripts

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Thu Apr 11, 2019 6:16 am
by thewolfman00001
Just letting you guys know that as of now running lithium using GZDoom 4.0.0 doesn't work. The mod crashes on start-up

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Thu Apr 11, 2019 12:14 pm
by Marrub
This issue is already fixed in the Git version of Lithium.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sat Apr 13, 2019 7:07 pm
by stagefatality
Um, in the most recent GIT version and the most recent stable version (on GZDoom 4.0 and 3.7.2 respectively), picking up rockets doesn't give ammo to the grenade/rocket launcher.

Purchasing ammo seems to do the trick, but rocket pickups don't.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Fri May 03, 2019 9:36 am
by worldendDominator
I run Lithium 1.6.1 with Doom RL Monster Pack 7.1 in GZDoom 3.7.2, and starting a new game on Adaptive difficulty with either class often exits to the console with these messages.
VM execution aborted: tried to read from address zero.
Called from Inventory.TryPickup at gzdoom.pk3:zscript/inventory/inventory.txt, line 456
Called from Inventory.CallTryPickup at gzdoom.pk3:zscript/inventory/inventory.txt, line 602
Called from Actor.GiveInventory at gzdoom.pk3:zscript/actor_inventory.txt, line 90
Called from ScriptUtil.GiveInventory at gzdoom.pk3:zscript/scriptutil/scriptutil.txt, line 44

It's not very consistent; in classic Doom II it happened occasionally, but in Zones of Fear it happens almost every time. This may or may not be because ZoF's first map is pretty big.

Edit: Also happens on entering a new map.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Fri May 03, 2019 12:01 pm
by Marrub
Please try using the git version of Lithium instead, a few things were rewritten in that general area that probably fixed that.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Fri May 03, 2019 12:39 pm
by worldendDominator
I've tried it, and the same thing happened.
Here are all results I got on different versions.

3.7.2:
- 1.6.1 exits on map start
- Git version exits on map start

4.0.0:
- 1.6.1 doesn't start with a script error "Can't call play function ExecuteSpecial from data context" on "Lithium_1_6_1.pk3:lzscript/utilities.zsc" line 60
- Git version doesn't start with some syntax error in shaders.

4.1.0:
- 1.6.1, same as 4.0.0
- Git version, same as 3.7.2

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Fri May 03, 2019 11:29 pm
by fakemai
I can reproduce the issue on latest vintage build sometimes.
Code: Select allExpand view
$ gzdoom lithium/ drlm.pk3 -noautoload
GZDoom g3.8.0_legacy - 2019-04-28 13:36:45 +0200 - SDL version
Compiled on May  1 2019

M_LoadDefaults: Load system defaults.
W_Init: Init WADfiles.
 adding gzdoom.pk3, 622 lumps
 adding zd_extra.pk3, 1295 lumps
 adding doom2.wad, 2919 lumps
 adding lithium/, 5749 lumps
 adding drlm.pk3, 7150 lumps
(snip)
titlemap - Lithium Title



map01 - entryway



map01 - entryway

VM execution aborted: tried to read from address zero.
Called from Inventory.TryPickup at gzdoom.pk3:zscript/actors/inventory/inventory.zs, line 457
Called from Inventory.CallTryPickup at gzdoom.pk3:zscript/actors/inventory/inventory.zs, line 603
Called from Actor.GiveInventory at gzdoom.pk3:zscript/actors/inventory_util.zs, line 90
Called from ScriptUtil.GiveInventory at gzdoom.pk3:zscript/scriptutil/scriptutil.zs, line 44

That said neither DRLA or DRLM are really supported on more recent GZDoom versions. Also I actually asked about adaptive difficulty recently with LDL+DRLA+DRLM. It wasn't crashing but it also didn't seem to make much difference on most maps, but apparently the feature is actually in a broken state, which would make sense given 7.1 is a beta. Other difficulties seem stable so maybe just do that in the meantime.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sat May 04, 2019 7:49 am
by worldendDominator
Is there an option or upgrade to display damage numbers? I wanted to play with a minimod for that, but then thought I probably shouldn't if it's available out of the box.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sat May 04, 2019 2:02 pm
by Marrub
worldendDominator wrote:Is there an option or upgrade to display damage numbers? I wanted to play with a minimod for that, but then thought I probably shouldn't if it's available out of the box.

DamNums is directly supported.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sun May 05, 2019 1:46 am
by Alexagon
I'm also getting the "Can't call play function ExecuteSpecial from data context" error on 1.6.1 using 4.0.0 GZDoom.

I'd really love to be able to play this. You said the GitHub version has some fixes? Where exactly can I go to download that? And is it still named 1.6.1?

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sun May 05, 2019 1:52 am
by Marrub
Alexagon wrote:I'm also getting the "Can't call play function ExecuteSpecial from data context" error on 1.6.1 using 4.0.0 GZDoom.

I'd really love to be able to play this. You said the GitHub version has some fixes? Where exactly can I go to download that? And is it still named 1.6.1?

Just go to the repository and follow the instructions there.

Re: Lithium 1.6.1 (Jan. 24, 2019)

PostPosted: Sun May 05, 2019 7:38 pm
by Alexagon
Marrub wrote:
Alexagon wrote:I'm also getting the "Can't call play function ExecuteSpecial from data context" error on 1.6.1 using 4.0.0 GZDoom.

I'd really love to be able to play this. You said the GitHub version has some fixes? Where exactly can I go to download that? And is it still named 1.6.1?

Just go to the repository and follow the instructions there.

Alrighty, I got it to work. A couple of questions though:

1. How do I get the armor interface? I've seen some gameplay videos and they start the game with it already visible.

2. Is there a max ammo capacity for only certain weapons?

3. Is it impossible to run without the movement augment activated? It makes my movements feel too jerky and unnatural and I'd rather disable it but without I move too slowly.